Digicom Michelangelo VOIP 2

Digicom Michelangelo VOIP 2

Model Michelangelo VOIP 2Part no. 8E4373EAN 8030476003498

26 specifications
  • Speed0.054 Gbit/s
  • ColourBlack
  • Networking standardsIEEE 802.11b, IEEE 802.11g
  • ADSLYes
  • Ethernet LAN (RJ-45) ports4
  • Security algorithmsWDS, WEP
See all specifications

Overview

Speed
0.054 Gbit/s
Colour
Black
Networking standards
IEEE 802.11b, IEEE 802.11g
ADSL
Yes
Ethernet LAN (RJ-45) ports
4
Security algorithms
WDS, WEP
Brand
Digicom
Model
Michelangelo VOIP 2
Part number
8E4373
EAN / UPC
8030476003498
Also known as
Digicom Michelangelo VOIP 2 wireless router Black

Specifications

26 specifications in 8 groups

Network

SpecificationValue
Networking standardsIEEE 802.11b, IEEE 802.11g
Supports ISDN connectionNo

DSL features

SpecificationValue
ADSLYes
DSL specificationADSL2+, ADSL2, ADSL2/2+, G.dmt.bisplus, G.dmt.bis, ANSI T1.413 Issue 2, G.dmt, G.hs

Ports & interfaces

SpecificationValue
Ethernet LAN (RJ-45) ports4

Management features

SpecificationValue
Web-based managementYes
Quality of Service (QoS) supportYes

Security

SpecificationValue
Security algorithmsWDS, WEP
FilteringYes
DMZ supportYes
Network address translation (NAT)Yes

Protocols

SpecificationValue
DHCP clientYes
DHCP serverYes
Routing protocolsIP
Data link protocolsNAT, RIP1/2, DDNS, SNTP, DNS, IGMP, POP3, IGMP
VoIP protocolsSIP, PSTN, G.711 A/m law, G.729, G.723, G.726, T.38, T.38, CNG, PSTN
Supported network protocolsRFC 2684, RFC 1483, RFC2364, RFC 1577, PPPoE

Design

SpecificationValue
Product colourBlack
Indication lightYes
LED indicatorsYes

Other features

SpecificationValue
Dimensions (WxDxH)210 x 148 x 36 mm
Management platformSNMP
Maximum data transfer rate0.054 Gbit/s
Power supply type12V DC, 1.2A
xDSL connectionYes
I/O ports2 x FXS 1 x FXO

What people say

Reviews & ratings

Digicom Michelangelo VOIP 2

No reviews yet

Be the first to tell others how Digicom Michelangelo VOIP 2 works for you.

Write the first review
  • Every rating countsLow ratings are never hidden, removed or pushed down.
  • Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
  • Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.

Your review

Share your experience

How does Digicom Michelangelo VOIP 2 work for you? A few honest sentences help others choose — it takes a minute.

Your rating

No account or e-mail. Only your review and the name you choose are kept.

Reviews are written by visitors; we do not check purchases. We remove spam, advertising and abuse — never a review for its rating.

Compare Digicom Michelangelo VOIP 2

All wireless router comparisons

Similar products

All wireless routers